using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.DM
{
    /// <summary>
    /// 设备设施故障报修记录附件表
    /// </summary>
    [Description("设备设施故障报修记录附件表")]
    public class T_DM_DEVICE_OVERHAUL_FILE : MesEntityBase
    {
        /// <summary>
        /// 设备设施故障报修记录ID
        /// </summary>
        [Description("设备设施故障报修记录ID")]
        [DataFieldForeignKey("Nav_Overhaul", "Nav_Files")]
        public Guid OVERHAUL_ID { get; set; }
        /// <summary>
        /// 导航属性：设备设施检测检验
        /// </summary>
        [Description("导航属性：设备设施检测检验")]
        public T_DM_DEVICE_OVERHAUL Nav_Overhaul { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
